[Numpy-discussion] numpy distutils log error with easy_install

Matthew Brett matthew.brett@gmail....
Mon Oct 1 15:42:40 CDT 2012


One of our kind users pointed out an error when using easy_install to
install our package nipy.   I've reproduced it now on a bare package
using numpy distutils and having a trivial extension:


To reproduce:

git clone git://github.com/mathew-brett/apkg.git

easy_install apkg

You should get something like this:

Processing apkg
Running setup.py -q bdist_egg --dist-dir
Appending apkg configuration to
Ignoring attempt to set 'name' (from '' to 'apkg')
zip_safe flag not set; analyzing archive contents...
Adding apkg 0.1 to easy-install.pth file

Installed /home/mb312/.virtualenvs/np-1.6.2/lib/python2.6/site-packages/apkg-0.1-py2.6-linux-i686.egg
Processing dependencies for apkg==0.1
Finished processing dependencies for apkg==0.1
RuntimeWarning: Parent module 'numpy.distutils' not found while
handling absolute import
  from numpy.distutils import log

Note the last error.  All of nipy, scikits-learn and
scikits-timeseries (that use numpy distutils) give this same error on
easy_install.  The error requires the use of an extension in the
package, as in:


It appears to be benign but it certainly confuses people doing
easy_install.  This is running current numpy master, but the same
occurs with numpy 1.5.1 that I have to hand.

Any ideas what could be causing this?



More information about the NumPy-Discussion mailing list